## net.i2p.router.admin
Class AdminListener

    java.lang.Object
      net.i2p.router.admin.AdminListener

All Implemented Interfaces:
  java.lang.Runnable

    public class AdminListener

extends java.lang.Object
implements java.lang.Runnable

Listen for connections on the specified port, and toss them onto the client manager's set of connections once they are established.

Author:
  jrandom

Constructor Summary
`AdminListener(RouterContext context, int port)`

Method Summary
`int` `getPort()`
`void` `restart()`
`void` `run()`
`protected void` `runConnection(java.net.Socket socket)` Handle the connection by passing it off to an AdminRunner
`void` `setPort(int port)`
`void` `shutdown()`
`void` `startup()` Start up the socket listener, listens for connections, and fires those connections off via `runConnection`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdminListener

    public AdminListener(RouterContext context,
                         int port)

Method Detail

### restart

    public void restart()

### setPort

    public void setPort(int port)

### getPort

    public int getPort()

### startup

    public void startup()

  Start up the socket listener, listens for connections, and fires those connections off via `runConnection`. This only returns if the socket cannot be opened or there is a catastrophic failure.

### runConnection

    protected void runConnection(java.net.Socket socket)
                          throws java.io.IOException

  Handle the connection by passing it off to an AdminRunner

  Throws:
    `java.io.IOException`

### shutdown

    public void shutdown()

### run

    public void run()

  Specified by:
    `run` in interface `java.lang.Runnable`